# ReserveFeed

[Git Source](https://github.com/Ion-Protocol/ion-protocol/blob/88cc595825f1dc2eb738fb93e172a3e8ab7a5c43/src/oracles/reserve/ReserveFeed.sol)

**Inherits:** Ownable2Step

### [State Variables](https://docs.ionprotocol.io/devs/smart-contract-architecture/oracles/reserve/broken-reference) <a href="#state-variables" id="state-variables"></a>

#### [exchangeRates](https://docs.ionprotocol.io/devs/smart-contract-architecture/oracles/reserve/broken-reference) <a href="#exchangerates" id="exchangerates"></a>

```
mapping(uint8 ilkIndex => uint256 exchangeRate) public exchangeRates;
```

### [Functions](https://docs.ionprotocol.io/devs/smart-contract-architecture/oracles/reserve/broken-reference) <a href="#functions" id="functions"></a>

#### [constructor](https://docs.ionprotocol.io/devs/smart-contract-architecture/oracles/reserve/broken-reference) <a href="#constructor" id="constructor"></a>

```
constructor(address owner) Ownable(owner);
```

#### [setExchangeRate](https://docs.ionprotocol.io/devs/smart-contract-architecture/oracles/reserve/broken-reference) <a href="#setexchangerate" id="setexchangerate"></a>

```
function setExchangeRate(uint8 _ilkIndex, uint256 _exchangeRate) external onlyOwner;
```

#### [getExchangeRate](https://docs.ionprotocol.io/devs/smart-contract-architecture/oracles/reserve/broken-reference) <a href="#getexchangerate" id="getexchangerate"></a>

```
function getExchangeRate(uint8 _ilkIndex) external view returns (uint256);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionprotocol.io/devs/smart-contract-architecture/oracles/reserve/reservefeed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
